Skip to main content
`Ctrl`+`K`

# numpy.ma.zeros

ma.zeros(shape, dtype=None, order='C', *, device=None, like=None)

  Return a new array of given shape and type, filled with zeros.

  Parameters:
    shape int or tuple of ints

      Shape of the new array, e.g., `(2, 3)` or `2`.

    dtype data-type, optional

      The desired data-type for the array, e.g., `numpy.int8`. Default is `numpy.float64`.

    order{‘C’, ‘F’}, optional, default: ‘C’

      Whether to store multi-dimensional data in row-major (C-style) or column-major (Fortran-style) order in memory.

    device str, optional

      The device on which to place the created array. Default: `None`. For Array-API interoperability only, so must be `"cpu"` if passed.

      Added in version 2.0.0.

    like array_like, optional

      Reference object to allow the creation of arrays which are not NumPy arrays. If an array-like passed in as `like` supports the `__array_function__` protocol, the result will be defined by it. In this case, it ensures the creation of an array object compatible with that passed in via this argument.

      Added in version 1.20.0.

  Returns:
    out MaskedArray

      Array of zeros with the given shape, dtype, and order.

  See also

  `zeros_like`

    Return an array of zeros with shape and type of input.

  `empty`

    Return a new uninitialized array.

  `ones`

    Return a new array setting values to one.

  `full`

    Return a new array of given shape filled with value.

  Examples

      >>> import numpy as np
      >>> np.zeros(5)
      array([ 0.,  0.,  0.,  0.,  0.])

      >>> np.zeros((5,), dtype=int)
      array([0, 0, 0, 0, 0])

      >>> np.zeros((2, 1))
      array([[ 0.],
             [ 0.]])

      >>> s = (2,2)
      >>> np.zeros(s)
      array([[ 0.,  0.],
             [ 0.,  0.]])

      >>> np.zeros((2,), dtype=[('x', 'i4'), ('y', 'i4')]) # custom dtype
      array([(0, 0), (0, 0)],
            dtype=[('x', '<i4'), ('y', '<i4')])